pcmciautils (018-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Colin Watson ]
  * Simplify debian/rules using /usr/share/dpkg/default.mk.
  * Set Rules-Requires-Root: no.
  * Upgrade to debhelper v11.
  * Convert debian/copyright to copyright-format 1.0.
  * Support DEB_BUILD_OPTIONS=terse.
  * Policy version 4.2.1.

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Oct 2018 22:16:05 +0100

pcmciautils (018-9) unstable; urgency=low

  * Add a Vcs-Browser field (closes: #681622).
  * Simplify debian/rules using /usr/share/dpkg/buildflags.mk.
  * Use Package-Type rather than XC-Package-Type, now that it is an official
    field.
  * Change priority to optional, since "Priority: extra" is now deprecated.
  * Switch to git; adjust Vcs-* fields.
  * Update homepage and download URLs (closes: #681622, #785805).
  * Remove Per Olofsson from Uploaders, with thanks for their previous
    contributions (closes: #847165).
  * Convert to git-dpm, and drop the debian/rules quilt-setup target
    associated with the old bzr/quilt patch handling workflow.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2018 14:12:17 +0100

pcmciautils (018-8) unstable; urgency=low

  * Mark pcmciautils and pcmciautils-udeb Architecture: linux-any.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Jun 2012 14:57:42 +0100

pcmciautils (018-7) unstable; urgency=low

  * Use dpkg-buildflags to enable hardening options.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 13:55:20 +0100

pcmciautils (018-6) unstable; urgency=low

  * Prevent the upstream build system calling strip, and rely on dh_strip
    instead to honour Debian policy requirements.

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Mar 2012 18:49:30 +0000

pcmciautils (018-5) unstable; urgency=low

  * Use dh_installdeb's maintscript support rather than writing it into
    maintainer scripts by hand.  We now just pre-depend on a sufficient
    version of dpkg rather than using 'dpkg-maintscript-helper supports
    rm_conffile' guards.

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Feb 2012 14:27:49 +0000

pcmciautils (018-4) unstable; urgency=low

  * Add cross-compiling support.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Sep 2011 10:59:13 +0100

pcmciautils (018-3) unstable; urgency=low

  * Also remove libsysfs-dev from build-deps.

 -- Per Olofsson <pelle@debian.org>  Sun, 12 Jun 2011 20:29:55 +0200

pcmciautils (018-2) unstable; urgency=low

  [ Per Olofsson ]
  * Remove module-init-tools and lsb-base from Depends, since the init
    script is now gone.
  * Rename debian/pcmciautils.docs to debian/docs.
  * Actually remove unnecessary-linkage.patch, not only from series.
  * Add patch remove-libsysfs-dep.patch from upstream to remove
    dependency on libsysfs. Closes: #627648.

  [ Colin Watson ]
  * Update Vcs-Bzr field for Alioth changes.

 -- Per Olofsson <pelle@debian.org>  Sun, 12 Jun 2011 19:53:52 +0200

pcmciautils (018-1) unstable; urgency=low

  [ Colin Watson ]
  * udev rules are now installed in /lib/udev/rules.d/ (closes: #575830).
    Preserve any user changes found in /etc/udev/pcmcia.rules.
  * Convert to source format 3.0 (quilt) and DEP-3 patch tagging.

  [ Per Olofsson ]
  * New upstream release.
    - Drop unnecessary-linkage.patch, applied upstream.
  * Remove obsolete README.Debian.
  * Bump Standards-Version to 3.9.2. No changes.
  * Remove init script. Driver module should be loaded by udev or
    /etc/modules. Add note to NEWS.Debian.
  * Simplify debian/rules.
  * Remove old cruft from maintainer scripts.
  * Create /etc/pcmcia directory if it doesn't exist.

 -- Per Olofsson <pelle@debian.org>  Mon, 25 Apr 2011 22:33:46 +0200

pcmciautils (015-1) unstable; urgency=low

  * New upstream release.
    - Simplified the setting of sysfs attributes; requires udev 098.
  * Vcs-Bzr is now an official field.
  * Add a Homepage field.
  * Don't link pcmcia-check-broken-cis against libsysfs; dpkg-shlibdeps
    reports that it doesn't need it.
  * The init script should either print a message and exit non-zero, or be
    silent and exit zero, not somewhere in between. Of the cases where the
    init script bails out, having an old kernel or not having udev enabled
    are more or less error cases, but not having configured a bridge module
    probably just means that you're on hardware that doesn't need this.
    Regularise our output to make sense in light of this. Thanks to Kel
    Modderman for reporting this.
  * Upgrade to debhelper v7.
  * Only list udev in init script's Should-Start, not Required-Start, and
    require $local_fs to start first instead (thanks, Petter Reinholdtsen;
    closes: #548621).
  * Start init script before networking if possible (thanks, Petter
    Reinholdtsen).
  * Attempt to cope slightly better with udev not being installed (closes:
    #419172).
  * Refer to versioned GPL file in debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Tue, 05 Jan 2010 11:57:54 +0000

pcmciautils (014-4) unstable; urgency=low

  [ Per Olofsson ]
  * Add XS-Vcs-Bzr field to debian/control and remove obsolete URL from
    debian/copyright.

  [ Colin Watson ]
  * Adjust pccardctl(8) to note that the status command is now implemented
    and to document the ls command and lspcmcia (closes: #392436).
  * Add Required-Start and Required-Stop LSB headers to init script.
  * Change Default-Start LSB header to S and make Default-Stop empty to
    match our update-rc.d invocation.
  * Fix lspcmcia crash on out-of-range function ids (thanks, Samuel
    Thibault; closes: #406251).

 -- Colin Watson <cjwatson@debian.org>  Sun, 19 Aug 2007 13:59:40 +0100

pcmciautils (014-3) unstable; urgency=low

  * Honour PCMCIA=no (or false) in /etc/default/pcmciautils (closes:
    https://launchpad.net/bugs/52231).
  * Fall back to /usr/lib/pcmciautils/config.opts if /etc/pcmcia/config.opts
    doesn't exist (closes: #392222).

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Nov 2006 13:52:32 +0000

pcmciautils (014-2) unstable; urgency=low

  [ Colin Watson ]
  * Depend on lsb-base (>= 3.0-6).

  [ Scott James Remnant ]
  * Remove stop links from rc0 and rc6.

 -- Colin Watson <cjwatson@debian.org>  Fri, 21 Jul 2006 11:23:36 +0100

pcmciautils (014-1) unstable; urgency=low

  * New upstream release.
  * Don't mention persistent udev mappings in README.Debian, they are
    taken care of automatically nowadays.
  * Updated Standards-Version to 3.7.2.
  * Removed /usr/share/doc/cardmgr-to-pcmciautils.txt.gz because it
    doesn't really apply much to Debian.

 -- Per Olofsson <pelle@debian.org>  Thu, 22 Jun 2006 15:22:44 +0200

pcmciautils (013-2) unstable; urgency=low

  * Use ENV{MODALIAS} instead of MODALIAS in udev rules, since the latter is
    deprecated.
  * Move init script to /etc/init.d/pcmciautils in the udeb, so that
    pcmciautils-udeb and pcmcia-cs-udeb don't have to contain the same file
    (and thus break if pcmcia-cs-udeb accidentally gets unpacked into a 2.6
    installer). Requires hw-detect 1.36.

 -- Colin Watson <cjwatson@debian.org>  Wed,  7 Jun 2006 01:46:04 +0100

pcmciautils (013-1) unstable; urgency=low

  * New upstream release.
    - Use new sysfs pm_state interface instead of power/state which will
      (likely) go away.
    - Add 'pccardctl ls' (or 'lspcmcia') to provide extended debugging
      output.
  * Fix unintentional fallthrough to insert from pccardctl ls.

 -- Colin Watson <cjwatson@debian.org>  Mon, 27 Mar 2006 12:07:13 +0100

pcmciautils (012-5) unstable; urgency=low

  [ Colin Watson ]
  * Improve efficiency of udev rules by checking at the top for ACTION="add"
    and otherwise jumping to the end. Requires udev 064 (closes: #350381).

  [ Per Olofsson ]
  * Rebuild against libsysfs2. Closes: #355535.

 -- Per Olofsson <pelle@debian.org>  Mon,  6 Mar 2006 15:05:08 +0100

pcmciautils (012-4) unstable; urgency=low

  [ Colin Watson ]
  * Remove unnecessary ancient-shell paranoia from init script (#350381).

  [ Per Olofsson ]
  * Install a special config.opts on some archs.
  * Remove /etc/pcmcia/config.opts when purging. This file has been taken
    over from pcmcia-cs now.
  * Also remove /etc/pcmcia/ if empty.
  * Put config.opts in /usr/lib/pcmciautils instead of
    /usr/share/pcmciautils since it's different on different
    architectures.
  * Simplify the init script and make it print less confusing messages.
    Closes: #351545.
  * Build with V=true to get verbose output from the build process.
  * Document the allow-hotplug /etc/network/interfaces option in
    README.Debian. Closes: #352038.
  * Add debian/watch.

 -- Per Olofsson <pelle@debian.org>  Sat, 18 Feb 2006 23:10:39 +0100

pcmciautils (012-3) unstable; urgency=low

  * Don't depend on udev, only recommend it. This makes it possible for
    pcmcia-cs to depend on pcmciautils without requiring people to install
    udev. This makes upgrades smooth. udev also isn't strictly required,
    it's possible to use pcmciautils without it depending on the
    circumstances. Closes: #350182.
  * Added note about udev to the description also.

 -- Per Olofsson <pelle@debian.org>  Sat, 28 Jan 2006 13:58:27 +0100

pcmciautils (012-2) unstable; urgency=low

  * Make init script exit immediately if pcmciautils has been removed but
    not purged (closes: #348749).
  * Create udev rules symlink on initial install too (closes: #345795).

 -- Colin Watson <cjwatson@debian.org>  Sun, 22 Jan 2006 21:57:54 +0000

pcmciautils (012-1) unstable; urgency=low

  * New upstream release.
    - Incorporates our config.opts fixes, and some config.opts changes from
      OpenSuSE.
    - Avoids deprecated libsysfs functions for compatibility with libsysfs2.
    - Implements 'pccardctl status'.
  * Build-depend on debhelper 4.2 for udeb support.
  * Merge from Ubuntu:
    - Use 'modprobe -b' from module-init-tools 3.2.2 so that PCMCIA bridges
      can be blacklisted.
    - Use 'modprobe -b' to load pcmcia and pcmcia_core.
  * Fix udev rules symlink (thanks, Tobias Gruetzmacher; closes: #343193).

 -- Colin Watson <cjwatson@debian.org>  Sat, 24 Dec 2005 11:10:54 +0000

pcmciautils (011-1) unstable; urgency=low

  * New upstream release.
  * Use upstream's man page rather than our own.
  * Ship new upstream documentation.
  * Update FSF address in debian/copyright.

 -- Colin Watson <cjwatson@debian.org>  Tue,  6 Dec 2005 11:01:13 +0000

pcmciautils (010-1) unstable; urgency=low

  * Initial upload to Debian (closes: #319583).
  * Add Per Olofsson as uploader.

 -- Colin Watson <cjwatson@debian.org>  Mon,  5 Dec 2005 21:24:31 +0000

pcmciautils (010-0ubuntu6) dapper; urgency=low

  * Ship /etc/pcmcia; the postinst needs it.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Nov 2005 12:14:12 +0000

pcmciautils (010-0ubuntu5) dapper; urgency=low

  * Add an init script (mostly borrowed from pcmcia-cs) to probe old ISA
    bridges. Copy /etc/default/pcmcia to /etc/default/pcmciautils on new
    installs or upgrades from earlier versions to make sure that this
    doesn't stop working when pcmcia-cs is purged.
  * Add init script to the udeb too, as /etc/init.d/pcmcia; this conflicts
    with pcmcia-cs-udeb but that's OK and it's what hw-detect expects.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Nov 2005 16:43:45 +0000

pcmciautils (010-0ubuntu4) dapper; urgency=low

  * For now, back out GOTO/LABEL changes that unnecessarily require new
    udev.
  * Instead, add explicit ACTION=="add" to pcmcia_socket rules.
  * Add a man page for pccardctl, derived from cardctl(8).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2005 17:00:48 +0000

pcmciautils (010-0ubuntu3) dapper; urgency=low

  * Simplify config.opts to make it easier for d-i to modify.
  * Remove 0x800-0x8ff range - it seems to cause problems on many machines
    (Matthew Garrett).
  * Exclude 0xcf8-0xcff too to work better on Sony Vaios (Tollef Fog Heen,
    https://bugzilla.ubuntu.com/show_bug.cgi?id=8677).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2005 16:21:56 +0000

pcmciautils (010-0ubuntu2) dapper; urgency=low

  * Add a pcmciautils-udeb package for use in the installer.
  * Fix various bugs in udev rules, thanks to Scott James Remnant:
    - Remove redundant and non-functional modalias rule.
    - Use MODALIAS="?*" rather than MODALIAS="*", since the latter matches
      every event.
    - Match SUBSYSTEM rather than setting it.
    - $DEVPATH should be $devpath.
    - Bracket the whole file with an ACTION!="add" check (two of the rules
      were missing ACTION=="add"). Requires udev 064.
  * Import packaging into bzr; add note to debian/copyright with location.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Nov 2005 16:12:36 +0000

pcmciautils (010-0ubuntu1) dapper; urgency=low

  * Initial release, configured only with udev support.
  * Move udev rules to position 85.
  * Move udev helpers to /lib/udev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2005 08:42:49 +0000
